Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.routers
Class BankQuotesInboundAggregator

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.AbstractAggregator
              org.mule.routing.AbstractCorrelationAggregator
                  org.mule.example.loanbroker.routers.BankQuotesInboundAggregator

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Initialisable, InterceptingMessageProcessor, MessageProcessor, Aggregator, MessageSource

    public class BankQuotesInboundAggregator

extends AbstractCorrelationAggregator

`BankQuotesInboundAggregator` receives a number of quotes and selects the lowest

Field Summary

Fields inherited from class org.mule.routing.AbstractAggregator
`eventCorrelator, flowConstruct, messageInfoMapping, muleContext`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`BankQuotesInboundAggregator()`

Method Summary
`protected MuleEvent` | `aggregateEvents(EventGroup events)` This method is invoked if the shouldAggregate method is called and returns true.

Methods inherited from class org.mule.routing.AbstractCorrelationAggregator
`getCorrelatorCallback`

Methods inherited from class org.mule.routing.AbstractAggregator
`expireAggregation, getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setFlowConstruct, setMessageInfoMapping, setMuleContext, setTimeout`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BankQuotesInboundAggregator

    public BankQuotesInboundAggregator()

Method Detail

### aggregateEvents

    protected MuleEvent aggregateEvents(EventGroup events)
                                 throws AggregationException

  This method is invoked if the shouldAggregate method is called and returns true. Once this method returns an aggregated message the event group is removed from the router

  Specified by:
    `aggregateEvents` in class `AbstractCorrelationAggregator`
  Parameters:
    `events` - the event group for this request
  Returns:
    an aggregated message
  Throws:
    `AggregationException` - if the aggregation fails. in this scenario the whole event group is removed and passed to the exception handler for this componenet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.